Imports System.Data.SqlClient

Class MainWindow
  Private con As SqlConnection = Nothing

  Private Sub Window_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs)
    ' Crear la conexión
    Dim strConexion As String = "Data Source=.\sqlexpress;" &
      "Initial Catalog=bd_telefonos; Integrated Security=True"
    con = New SqlConnection(strConexion)
  End Sub

  Private Sub btMostrarDatos_Click(sender As System.Object, e As System.Windows.RoutedEventArgs)
    Try
      ' Probar a abrir la conexión
      con.Open()
      tbVersion.Text = "Versión del servidor: " & Convert.ToString(con.ServerVersion)
      tbEstadoConexion.Text = "La conexion está: "
      tbEstadoConexion.Text += con.State.ToString()
      tbEstadoConexion.Text += vbLf & "Se accede a la base de datos"
    Catch ex As Exception
      ' Manipular la excepción
      tbEstadoConexion.Text = "Error al acceder a la base de datos. " + ex.Message
    Finally
      ' Asegurarse de que la conexión queda cerrada.
      ' Aunque la conexión estuviera cerrada,
      ' llamar a Close() no produce un error.
      con.Close()
      tbEstadoConexion.Text += vbLf & "Ahora la conexion está: " & con.State.ToString()
    End Try
  End Sub
End Class
